summaryrefslogtreecommitdiffstats
path: root/network/thorium-browser
diff options
context:
space:
mode:
Diffstat (limited to 'network/thorium-browser')
-rw-r--r--network/thorium-browser/README1
-rw-r--r--network/thorium-browser/doinst.sh3
-rw-r--r--network/thorium-browser/slack-desc19
-rw-r--r--network/thorium-browser/thorium-browser.SlackBuild100
-rw-r--r--network/thorium-browser/thorium-browser.info10
5 files changed, 133 insertions, 0 deletions
diff --git a/network/thorium-browser/README b/network/thorium-browser/README
new file mode 100644
index 0000000000..4b4ef9dcf2
--- /dev/null
+++ b/network/thorium-browser/README
@@ -0,0 +1 @@
+Thorium (The fastest browser on Earth)
diff --git a/network/thorium-browser/doinst.sh b/network/thorium-browser/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/thorium-browser/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/thorium-browser/slack-desc b/network/thorium-browser/slack-desc
new file mode 100644
index 0000000000..e150a0f6ae
--- /dev/null
+++ b/network/thorium-browser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+thorium-browser: thorium-browser (The fastest browser on Earth.)
+thorium-browser:
+thorium-browser: Chromium fork for Linux, Windows, MacOS, Android, and Raspberry Pi
+thorium-browser: named after radioactive element No. 90.
+thorium-browser:
+thorium-browser: Compiler optimizations include SSE4.2, AVX, AES, and modifications
+thorium-browser: to CFLAGS, LDFLAGS, thinLTO flags, import_instr_limit flags, and
+thorium-browser: PGO, as well as other compiler flags.
+thorium-browser: LLVM LOOP optimizations as -mllvm flags.
+thorium-browser:
+thorium-browser: Homepage: https://thorium.rocks/
diff --git a/network/thorium-browser/thorium-browser.SlackBuild b/network/thorium-browser/thorium-browser.SlackBuild
new file mode 100644
index 0000000000..db4d193cba
--- /dev/null
+++ b/network/thorium-browser/thorium-browser.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for thorium-browser
+
+# Copyright 2023 Martin Rodriguez, Guadalajara Mexico
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=thorium-browser
+VERSION=${VERSION:-122.0.6261.132}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$ARCH" in
+ x86_64) DEBARCH="amd64" ;;
+ *) echo "Package for $ARCH architecture is not available." ; exit 1 ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_$DEBARCH.deb data.tar.xz | tar xJv || exit 1
+cd ..
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+# This needs to be setuid root:
+chmod 4711 $PKG/opt/chromium.org/thorium/chrome-sandbox
+
+# The cron job is for Debian/Ubuntu only:
+rm -rf $PKG/etc
+
+# Strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+
+# Install a .desktop launcher:
+sed -i -e "s#Icon=thorium-browser#Icon=/opt/chromium.org/thorium/product_logo_256.png#" \
+ $PKG/usr/share/applications/thorium-browser.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/thorium-browser/thorium-browser.info b/network/thorium-browser/thorium-browser.info
new file mode 100644
index 0000000000..cc4bb4be0b
--- /dev/null
+++ b/network/thorium-browser/thorium-browser.info
@@ -0,0 +1,10 @@
+PRGNAM="thorium-browser"
+VERSION="122.0.6261.132"
+HOMEPAGE="https://thorium.rocks/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/Alex313031/thorium/releases/download/M122.0.6261.132/thorium-browser_122.0.6261.132_amd64.deb"
+MD5SUM_x86_64="5e02eb86b7657c1c592ff242f1a8cf12"
+REQUIRES=""
+MAINTAINER="Martin Rodriguez"
+EMAIL="slackmart@gmail.com"